BUG: 'tar +help' doesn't work with libc.so.4.4!!

BUG: 'tar +help' doesn't work with libc.so.4.4!!

Post by Uppi » Tue, 22 Jun 1993 02:47:35



I just got and installed the new libs in image-4.4.tar.z.
I updated the links so that they are referenced.  I later tried
to to a 'tar +help' command and tar didn't recognize it.
It had always worked before, so i tried linking the library
reference back to the old lib (libc.so.4.3.3).  'tar +help'
worked fine!  I changed the link back to the new libc.so.4.4, tried
'tar +help' again, and it didn't work...obviously a bug somewhere.
(In tar or libc.so.4.4 I haven't the foggiest...)
--
Jeff Uphoff -- "Uppie"     |  "The secret to good teaching is sincerity.  As


 
 
 

BUG: 'tar +help' doesn't work with libc.so.4.4!!

Post by Hansjoerg Toepf » Wed, 23 Jun 1993 14:39:11




>|> I just got and installed the new libs in image-4.4.tar.z.
>|> I updated the links so that they are referenced.  I later tried
>|> to to a 'tar +help' command and tar didn't recognize it.
>|> It had always worked before, so i tried linking the library
>|> reference back to the old lib (libc.so.4.3.3).  'tar +help'
>|> worked fine!  I changed the link back to the new libc.so.4.4, tried
>|> 'tar +help' again, and it didn't work...obviously a bug somewhere.
>|> (In tar or libc.so.4.4 I haven't the foggiest...)
>|> --
>|> Jeff Uphoff -- "Uppie"     |  "The secret to good teaching is sincerity.  As


>Get a new tar (1.11.2?) and use "tar --help".
>H.J.

I think that's not the point. The new GNU tar is fine and has advantages
over the old version, BUT why does '+help' work with libc.so.4.3 and
NOT with libc.so.4.4? I think thats the intention of the question.
Bye Hanjo
--------------------------------------------------------------------------------
     __  __  _________  Hansjoerg Toepfer                Tel.: +49-203-3792583
    / / / / /__   ___/  University of Duisburg           FAX : +49-203-370439
   / /_/ /     / /      FB 9 / DV (Data Processing)
  / __  /     / /       Bismarckstr. 81
 / / / /     / /        D-4100 Duisburg 1, Germany

--------------------------------------------------------------------------------

 
 
 

BUG: 'tar +help' doesn't work with libc.so.4.4!!

Post by Doug Qua » Wed, 23 Jun 1993 17:17:52


   I think that's not the point. The new GNU tar is fine and has advantages
   over the old version, BUT why does '+help' work with libc.so.4.3 and
   NOT with libc.so.4.4? I think thats the intention of the question.

GNU getopt no longer supports + to signal long options since it
conflicts with POSIX.  Use -- instead.

This is a RTFM as the man pages and texinfo have warned for at least a
year that support for + would be going away.  Of course tar doesn't
have a man page or info yet, but check any of the *utils....

--
Doug Quale

 
 
 

BUG: 'tar +help' doesn't work with libc.so.4.4!!

Post by Keith Rohr » Wed, 23 Jun 1993 22:43:34


|> GNU getopt no longer supports + to signal long options since it
|> conflicts with POSIX.  Use -- instead.
|>
|> This is a RTFM as the man pages and texinfo have warned for at least a
|> year that support for + would be going away.  Of course tar doesn't
|> have a man page or info yet, but check any of the *utils....
(1) Who believes threats of feature removal?
(2) Tar _says_ to use +help.  It should have been saying to use --help.  I,
        for one, find it nice to believe that when a program tells you which
        options are available, they're actually available the way it says.

        Keith

--
Disclaimer: None of Grinnell College, URA, Fermilab, and any other affiliated
persons or orginizations have licensed my ideas or opinions, and thus are
not entitled to any which may appear above.
GCS d* -p+ c+++ l++ m* s/* g+ w++ t++ r++ x/--

 
 
 

BUG: 'tar +help' doesn't work with libc.so.4.4!!

Post by Steve Mads » Thu, 24 Jun 1993 05:18:36




> |> I just got and installed the new libs in image-4.4.tar.z.
> |> I updated the links so that they are referenced.  I later tried
> |> to to a 'tar +help' command and tar didn't recognize it.
> |> It had always worked before, so i tried linking the library
> |> reference back to the old lib (libc.so.4.3.3).  'tar +help'
> |> worked fine!  I changed the link back to the new libc.so.4.4, tried
> |> 'tar +help' again, and it didn't work...obviously a bug somewhere.
> |> (In tar or libc.so.4.4 I haven't the foggiest...)
> |> --
> |> Jeff Uphoff -- "Uppie"     |  "The secret to good teaching is sincerity.  As


> Get a new tar (1.11.2?) and use "tar --help".

        This will work, and tar 1.11.2 will pipe through gzip automatically.

        Does this have anything to do with + options not being POSIX
compliant?  I seem to remember something about + options being phased out
and replaced with -- instead because they were POSIX.

--
Steve Madsen

Ask me about Linux, the free 386 UNIX!

 
 
 

1. Compiler Error -- doesn't find shred library 'libc.so.4'

I am having a problem compiling several differnt files.

When I use this command 'gcc -g *.o -lm', there is an error message:

ld: output file requires shared library 'libc.so.4'
gcc: internal compiler error: program ld got fatal signal 6

When I compile it using 'gcc *.o -lm', it compiles and creates a.out file
without any problem.

When I checked the /lib directory, libc.so.4 was linked to libc.so.4.27

If you know what the problem might be, please e-mail me.

Thanks

Hyun

2. FIND OUT THE URL OF EVERY HARDWARE FIRM!

3. why doesn't 'tar' work?

4. ARM7 Cross compiler for Linux

5. Possible Bug: Kernel Parameter 'scsihosts' Doesn't Work In 2.4.3?

6. portable mutex

7. Slackware 2.1.0: init: can't find library 'libc.so.4' - Help

8. YAST2 sets up printers for a4 paper

9. Help: "tcsh: can't load library 'libc.so.5'" ??

10. ping -g 'gateway-IP' 'host-IP' DOESN'T work!

11. 'Talk' can't talk on Freebsd 4.4?

12. Re. bffcreate -X doesn't work Re: bffcreate -X Doesn't Work

13. What causes 4.4 to just 'halt' for resons of it's own?